import { AfterViewInit, EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { MatLegacySelect } from '@angular/material/legacy-select';
import * as i0 from "@angular/core";
export declare class MatSelectInfiniteScrollDirective implements OnInit, OnDestroy, AfterViewInit {
    private matSelect;
    private ngZone;
    threshold: string;
    debounceTime: number;
    complete: boolean;
    infiniteScroll: EventEmitter<void>;
    private panel;
    private thrPx;
    private thrPc;
    private singleOptionHeight;
    private destroyed$;
    constructor(matSelect: MatLegacySelect, ngZone: NgZone);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    evaluateThreshold(): void;
    registerScrollListener(): void;
    handleScrollEvent(event: any): void;
    getSelectItemHeightPx(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatSelectInfiniteScrollDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MatSelectInfiniteScrollDirective, "[msInfiniteScroll]", never, { "threshold": "threshold"; "debounceTime": "debounceTime"; "complete": "complete"; }, { "infiniteScroll": "infiniteScroll"; }, never, never, false, never>;
}
